mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true) System.Runtime.InteropServices.Guid("f1c3bf76-c3e4-11d3-88e7-00902754c43a") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

This interface is used in the process of converting a COM type library to a managed assembly.

Provides a callback mechanism for the type library converter to inform the caller of the status of the conversion, and involve the caller in the conversion process itself.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  If the event being reported is a warning or an error, will contain the HRESULT of the error. For any other event it will be 0.

  Notifies the caller that an event occured during the conversion of a type library.

  An value indicating the type of event. Indicates extra information about the event. A message generated by the event.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly ``

  If a reference to another type library is found during the conversion of a type library, the caller is asked to return the correct assembly for that type library.

  Asks the user to resolve a reference to another type library.

  The assembly corresponding to .

  The object implementing the ITypeLib interface that needs to be resolved.